<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to a commercial license from PosadzimyPl
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the PosadzimyPl is strictly forbidden.
 * In order to obtain a license, please contact us: posadzimy.pl
 *
 * @author    PosadzimyPl
 * @copyright Copyright (c) 2017-2021 PosadzimyPl
 * @license   Commercial license
 * @package   PosadzimyPlResponseModule
 */

class BaseConfiguration extends ObjectModel
{
    public $id;

    public $order_value;

    public $order_statuses;

    public $api_key;

    public $certificate_text;

    public $mail_text;

    public $tree_group_id;

    public $plant_name;

    public $mail_subject;

    public $custom_mail_active;

    /**
     * @see ObjectModel::$definition
     */
    public static $definition = array(
        'table' => 'pp_base_configuration',
        'primary' => 'id_pp_base_configuration',
        'multilang' => true,
        'fields' => array(
            'order_value' =>        array('type' => self::TYPE_FLOAT, 'validate' => 'isPrice', 'required' => true),
            'order_statuses' =>     array('type' => self::TYPE_STRING, 'validate' => 'isString', 'size' => 64),
            'api_key' =>            array(
                'type' => self::TYPE_STRING,
                'validate' => 'isString',
                'size' => 128,
                'required' => true
            ),
            'tree_group_id' =>      array(
                'type' => self::TYPE_STRING,
                'validate' => 'isString',
                'size' => 128,
                'required' => true
            ),
            'custom_mail_active' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            // Lang fields
            'certificate_text' =>   array(
                'type' => self::TYPE_HTML,
                'validate' => 'isCleanHtml',
                'lang' => true,
            ),
            'mail_text' =>          array(
                'type' => self::TYPE_HTML,
                'validate' => 'isCleanHtml',
                'lang' => true
            ),
            'mail_subject' =>       array(
                'type' => self::TYPE_STRING,
                'validate' => 'isString',
                'size' => 512,
                'lang' => true,
            ),
            'plant_name' =>         array(
                'type' => self::TYPE_STRING,
                'validate' => 'isString',
                'size' => 128,
                'lang' => true,
            ),
        ),
    );

    public function __construct($id = null, $lang = null, $shop = null)
    {
        parent::__construct($id, $lang, $shop);
    }
}
