<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to a commercial license from PosadzimyPl
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the PosadzimyPl is strictly forbidden.
 * In order to obtain a license, please contact us: posadzimy.pl
 *
 * @author    PosadzimyPl
 * @copyright Copyright (c) 2017-2021 PosadzimyPl
 * @license   Commercial license
 * @package   PosadzimyPlResponseModule
 */

class Hooks extends ObjectModel
{
    const HOOKS_DATA = array(
        array(
            'name' => 'extraRight',
            'custom' => 0,
            'variable' => 1,
            'install' => true,
            'version' => '1.6',
            'content_after' => 1
        ),
        array(
            'name' => 'displayTop',
            'custom' => 0,
            'variable' => 1,
            'install' => true,
            'version' => '1.6',
            'content_after' => 1
        ),
        array(
            'name' => 'displayProductAdditionalInfo',
            'custom' => 0,
            'variable' => 1,
            'install' => true,
            'version' => '1.7',
            'content_after' => 1
        ),
        array(
            'name' => 'displayCheckoutSummaryTop',
            'custom' => 0,
            'variable' => 1,
            'install' => true,
            'version' => '1.7',
            'content_after' => 1
        ),
        array(
            'name' => 'displayCheckoutSubtotalDetails',
            'custom' => 0,
            'variable' => 1,
            'install' => true,
            'version' => '1.7',
            'content_after' => 1
        ),
        array(
            'name' => 'displayPosadzimyCustom',
            'custom' => 1,
            'variable' => 0,
            'install' => true,
            'version' => 'all',
            'content_after' => 0
        ),
    );

    public $id;

    public $name;

    public $active;

    public $variable;

    public $custom;

    public $content;

    public $content_after;

    public $text_color;

    public $background_color;

    public $after;

    public $font_size;

    public $custom_css;

    /**
     * @see ObjectModel::$definition
     */
    public static $definition = array(
        'table' => 'pp_hooks',
        'primary' => 'id_pp_hooks',
        'multilang' => true,
        'fields' => array(
            'active' =>             array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'variable' =>           array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'custom' =>             array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'name' =>               array('type' => self::TYPE_STRING, 'validate' => 'isString', 'size' => 128),
            'text_color' =>         array('type' => self::TYPE_STRING, 'validate' => 'isString', 'size' => 64),
            'background_color' =>   array('type' => self::TYPE_STRING, 'validate' => 'isString', 'size' => 64),
            'after' =>              array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'font_size' =>          array('type' => self::TYPE_INT, 'validate' => 'isInt', 'size' => 64),
            'custom_css' =>         array('type' => self::TYPE_HTML, 'validate' => 'isCleanHtml'),
            // Lang fields
            'content' =>            array(
                'type' => self::TYPE_HTML,
                'validate' => 'isCleanHtml',
                'lang' => true
            ),
            'content_after' =>            array(
                'type' => self::TYPE_HTML,
                'validate' => 'isCleanHtml',
                'lang' => true
            ),
        ),
    );

    public function __construct($id = null, $lang = null, $shop = null)
    {
        parent::__construct($id, $lang, $shop);
    }

    public static function getAllHooksId()
    {
        $dbquery = new DbQuery();
        $dbquery->select('ph.`id_pp_hooks`');
        $dbquery->from('pp_hooks', 'ph');

        return Db::getInstance(_PS_USE_SQL_SLAVE_)->executeS($dbquery);
    }

    public static function getHookByName($name, $idLang)
    {
        $dbquery = new DbQuery();
        $dbquery->select('ph.`id_pp_hooks`, ph.`active`, ph.`text_color`, ph.`background_color`, phl.`content`,'
            .' phl.`content_after`, ph.`after`, ph.`font_size`, ph.`custom_css`');
        $dbquery->from('pp_hooks', 'ph');
        $dbquery->leftJoin('pp_hooks_lang', 'phl', 'phl.`id_pp_hooks` = ph.`id_pp_hooks`');
        $dbquery->where("ph.`name` = '$name'");
        $dbquery->where("phl.`id_lang` = $idLang");

        return Db::getInstance(_PS_USE_SQL_SLAVE_)->getRow($dbquery);
    }
}
