/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to a commercial license from PosadzimyPl
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the PosadzimyPl is strictly forbidden.
 * In order to obtain a license, please contact us: posadzimy.pl
 *
 * @author    PosadzimyPl
 * @copyright Copyright (c) 2017-2021 PosadzimyPl
 * @license   Commercial license
 * @package   PosadzimyPlResponseModule
 */
$(document).ready(function() {
    $(".list-group-item").on('click', function() {
        let id_tab = $(this).attr('data-target');

        switch(id_tab) {
            case 'configuration':
                $("#configuration").removeClass('hidden');
                $("#hooks").addClass('hidden');
                $("#instruction").addClass('hidden');
                break;
            case 'hooks':
                $("#configuration").addClass('hidden');
                $("#hooks").removeClass('hidden');
                $("#instruction").addClass('hidden');
                break;
            case 'instruction':
                $("#configuration").addClass('hidden');
                $("#hooks").addClass('hidden');
                $("#instruction").removeClass('hidden');
                break;
        }

        let $el = $(this).parent().closest(".list-group").children(".active");
        let tab_id = $(this).attr('id');
        if (tab_id === 'drop') {
            $(this).removeClass("active");
            cleanUp();
        } else {
            if ($el.hasClass("active")) {
                target = $(this).find('i').attr('data-target');
                if (target !== undefined) {
                    loadTable('#'+target);
                }
                $el.removeClass("active");
                $(this).addClass("active");
            }
        }
    });

    $(".active-instruction-tab").on('click', function(event) {
        event.preventDefault();
        $("#configuration").addClass('hidden');
        $("#hooks").addClass('hidden');
        $("#instruction").removeClass('hidden');
        $("#tab-instruction").addClass('active');
        $("#tab-configuration").removeClass('active');
        $("#tab-hooks").removeClass('active');
    });

    $("#api-check-button").on('click', function() {
        let apiUri = $("#api_uri").val();
        let apiKey = $("#api_key").val();
        let treeGroupId = $("#tree_group_id").val();
        $.ajax({
            url: 'index.php?controller=AdminAjax&ajax=1&action=checkApi&token=' + adminAjaxToken + '&apiKey=' +
                apiKey + '&treeGroupId=' + treeGroupId,
            type: 'GET',
            dataType: 'json',
        }).done(function(data) {
            alert('Code: ' + data.response.code + ' Messages: ' + data.response.messages);
        });
    });

    $(".mail_text_textarea").each(function() {
        $(this).attr("placeholder", "np. Drogi kliencie, w podziękowaniu za zakupy posadziliśmy drzewo.");
    });

    $(".open-modal").on('click', function() {
        let modalClass = $(this).data('modal-class');
        $('.' + modalClass).show();
    });

    $(".modal-close").on('click', function() {
        let modalClass = $(this).data('modal-class');
        $('.' + modalClass).hide();
    });

});
